# eric6.Plugins.VcsPlugins.vcsGit.GitBlameDialog

Module implementing a dialog to show the output of git blame.

### Global Attributes

None

### Classes

GitBlameDialog | Class implementing a dialog to show the output of git blame.

### Functions

None

## GitBlameDialog

Class implementing a dialog to show the output of git blame.

### Derived from

QDialog, Ui_GitBlameDialog

### Class Attributes

None

### Class Methods

None

### Methods

GitBlameDialog | Constructor
__finish | Private slot called when the process finished or the user pressed the button.
__generateItem | Private method to generate a blame item in the annotation list.
__procFinished | Private slot connected to the finished signal.
__readStderr | Private slot to handle the readyReadStderr signal.
__readStdout | Private slot to handle the readyReadStdout signal.
__resizeColumns | Private method to resize the list columns.
closeEvent | Protected slot implementing a close event handler.
keyPressEvent | Protected slot to handle a key press event.
on_buttonBox_clicked | Private slot called by a button of the button box clicked.
on_input_returnPressed | Private slot to handle the press of the return key in the input field.
on_passwordCheckBox_toggled | Private slot to handle the password checkbox toggled.
on_sendButton_clicked | Private slot to send the input to the git process.
start | Public slot to start the blame command.

### Static Methods

None

#### GitBlameDialog (Constructor)

GitBlameDialog(vcs, parent=None)

Constructor

vcs
  reference to the vcs object
parent
  reference to the parent widget (QWidget)

#### GitBlameDialog.__finish

__finish()

Private slot called when the process finished or the user pressed the button.

#### GitBlameDialog.__generateItem

__generateItem(commitId, author, date, time, lineno, text)

Private method to generate a blame item in the annotation list.

commitId
  commit identifier (string)
author
  author of the change (string)
date
  date of the change (string)
time
  time of the change (string)
lineno
  line number of the change (string)
text
  name (path) of the tag (string)

#### GitBlameDialog.__procFinished

__procFinished(exitCode, exitStatus)

Private slot connected to the finished signal.

exitCode
  exit code of the process (integer)
exitStatus
  exit status of the process (QProcess.ExitStatus)

#### GitBlameDialog.__readStderr

__readStderr()

Private slot to handle the readyReadStderr signal.

It reads the error output of the process and inserts it into the error pane.

#### GitBlameDialog.__readStdout

__readStdout()

Private slot to handle the readyReadStdout signal.

It reads the output of the process, formats it and inserts it into the annotation list.

#### GitBlameDialog.__resizeColumns

__resizeColumns()

Private method to resize the list columns.

#### GitBlameDialog.closeEvent

closeEvent(e)

Protected slot implementing a close event handler.

e
  close event (QCloseEvent)

#### GitBlameDialog.keyPressEvent

keyPressEvent(evt)

Protected slot to handle a key press event.

evt
  the key press event (QKeyEvent)

#### GitBlameDialog.on_buttonBox_clicked

on_buttonBox_clicked(button)

Private slot called by a button of the button box clicked.

button
  button that was clicked (QAbstractButton)

#### GitBlameDialog.on_input_returnPressed

on_input_returnPressed()

Private slot to handle the press of the return key in the input field.

#### GitBlameDialog.on_passwordCheckBox_toggled

on_passwordCheckBox_toggled(checked)

Private slot to handle the password checkbox toggled.

checked
  flag indicating the status of the check box (boolean)

#### GitBlameDialog.on_sendButton_clicked

on_sendButton_clicked()

Private slot to send the input to the git process.

#### GitBlameDialog.start

start(fn)

Public slot to start the blame command.

fn
  filename to show the blame for (string)

Up